Bug 1573399 - lm_sensors does not detect sensors on AMD Family 17h
Summary: lm_sensors does not detect sensors on AMD Family 17h
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: lm_sensors
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ondřej Lysoněk
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-01 04:33 UTC by Suvayu
Modified: 2018-08-02 16:22 UTC (History)
4 users (show)

Fixed In Version: lm_sensors-3.4.0-17.20180522git70f7e08.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-08-02 16:22:17 UTC
Type: Bug


Attachments (Terms of Use)
Device list (930 bytes, text/plain)
2018-05-02 15:41 UTC, Suvayu
no flags Details

Description Suvayu 2018-05-01 04:33:02 UTC
Description of problem:
Despite the recent update: https://bodhi.fedoraproject.org/updates/FEDORA-2018-9e134321e0, sensors are not detected on a B350M mobo.

Version-Release number of selected component (if applicable):
# rpm -q lm_sensors
lm_sensors-3.4.0-13.fc28.x86_64

How reproducible:
always

Steps to Reproduce:
1. # sensors-detect

Actual results:

# sensors-detect revision 6284 (2015-05-31 14:00:33 +0200)
# System: Gigabyte Technology Co., Ltd. AB350M-Gaming 3 [Default string]
# Board: Gigabyte Technology Co., Ltd. AB350M-Gaming 3-CF
# Kernel: 4.16.4-300.fc28.x86_64 x86_64
# Processor: AMD Ryzen 5 2400G with Radeon Vega Graphics (23/17/0)

<snip>

AMD K8 thermal sensors...                                   No
AMD Family 10h thermal sensors...                           No
AMD Family 11h thermal sensors...                           No
AMD Family 12h and 14h thermal sensors...                   No
AMD Family 15h thermal sensors...                           No
AMD Family 16h thermal sensors...                           No
AMD Family 17h thermal sensors...                           No
AMD Family 15h power sensors...                             No
AMD Family 16h power sensors...                             No

Expected results:
AMD Family 17h line should report success

Additional info:
My hardware:
AMD Ryzen 5 2400G with Radeon Vega Graphics
Gigabyte Technology Co., Ltd. AB350M-Gaming 3/AB350M-Gaming 3-CF, BIOS F23d 04/17/2018

Comment 1 Ondřej Lysoněk 2018-05-01 12:21:39 UTC
Hmm, thanks! I must say I expected this - I don't have the hardware to test :).

Comment 2 Suvayu 2018-05-01 19:14:48 UTC
Hi Ondřej, I'm happy to test any test builds on my hardware.  Would that help?  If you need more information about the hardware, I can help provide that as well (with your guidance).  Please feel free to email me, we could work out a time to meet on IRC.

Comment 3 Ondřej Lysoněk 2018-05-02 14:02:12 UTC
Thanks! Can you please provide the output of the following?

$ for i in /sys/bus/pci/devices/*; do \
  echo -n 'Vendor: '; cat $i/vendor; \
  echo -n 'Device: '; cat $i/device; \
done

Comment 4 Suvayu 2018-05-02 15:41:11 UTC
Created attachment 1430149 [details]
Device list

The output is attached.

Comment 5 Ondřej Lysoněk 2018-05-07 10:25:46 UTC
I fixed this upstream:
https://github.com/groeck/lm-sensors/commit/c874e11639b6fd4002b155f7414f54f632465ec1

However, I won't make an update for this until kernel 4.17 reaches Fedora 28. The support for the device you have is missing in kernels older than 4.17-rc3, so it doesn't yet make sense to detect it in lm_sensors.

Comment 6 Suvayu 2018-05-08 05:14:11 UTC
Hi Ondřej, thanks.

If I may ask, do you have any idea how I can get the Fedora kernel maintainers to pay attention to my bug report 1548961 to support my device sooner?  The bug report is now more than two months old, and has not received a single acknowledgement from the maintainers.

Comment 7 Ondřej Lysoněk 2018-05-09 10:32:57 UTC
(In reply to Suvayu from comment #6)
> If I may ask, do you have any idea how I can get the Fedora kernel
> maintainers to pay attention to my bug report 1548961 to support my device
> sooner?  The bug report is now more than two months old, and has not
> received a single acknowledgement from the maintainers.

I don't know, you could try to ping them on IRC. I just know that kernel maintainers are very busy people, so it can take time to get things resolved. Consider the number of open kernel bugs in Fedora:
$ bugzilla query  --component=kernel --product=Fedora --bug_status=NEW,ASSIGNED | wc -l
684

Comment 8 Suvayu 2018-05-14 13:41:59 UTC
Hi Ondřej,

Just to update you ...

(In reply to Ondřej Lysoněk from comment #5)
> I fixed this upstream:
> https://github.com/groeck/lm-sensors/commit/
> c874e11639b6fd4002b155f7414f54f632465ec1
> 
> However, I won't make an update for this until kernel 4.17 reaches Fedora
> 28. The support for the device you have is missing in kernels older than
> 4.17-rc3, so it doesn't yet make sense to detect it in lm_sensors.

For the last week I have been using 4.17.0-0.rc4 from the mainline repo maintained by Thorsten Leemhuis (https://fedoraproject.org/wiki/Kernel_Vanilla_Repositories).  Today I downloaded the latest `sensors-detect` script from github, and now my sensors are detected:

Driver `to-be-written':
  * ISA bus, address 0xa40
    Chip `ITE IT8686E Super IO Sensors' (confidence: 9)

Driver `k10temp' (autoloaded):
  * Chip `AMD Family 17h thermal sensors' (confidence: 9)

Driver `it87':
  * ISA bus, address 0xa60
    Chip `ITE IT8792E Super IO Sensors' (confidence: 9)

Note: there is no driver for ITE IT8686E Super IO Sensors yet.
Check http://www.lm-sensors.org/wiki/Devices for updates.

Although conky doesn't show the CPU temp, I can see it in the terminal with sensors.  This will do for now.  Thanks a lot :)

Comment 9 Ondřej Lysoněk 2018-05-14 13:58:40 UTC
Great, thanks for the update.

Comment 10 Suvayu 2018-07-02 07:16:42 UTC
Now that 4.17 is in the repo, maybe this can be updated?

Comment 11 Ondřej Lysoněk 2018-07-02 07:27:35 UTC
Absolutely, it's on my TODO list. I'll make an update as soon as I can.

Comment 12 Fedora Update System 2018-08-01 07:35:55 UTC
lm_sensors-3.4.0-17.20180522git70f7e08.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-1bf3393b9d

Comment 13 Fedora Update System 2018-08-02 16:22:17 UTC
lm_sensors-3.4.0-17.20180522git70f7e08.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.